%global srcname ffc
# TODO: compile sphinx docs
Name:           python-%{srcname}
Version:        2017.2.0.post0
Release:        1%{?dist}
Summary:        The FEniCS Form Compiler

License:        LGPLv2+
URL:            http://www.fenicsproject.org
Source0:        https://bitbucket.org/fenics-project/ffc/downloads/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python3-devel

%global _docdir_fmt %{name}

%description
FFC is a compiler for finite element variational forms. From a high-level
description of the form, it generates efficient low-level C++ code that can be
used to assemble the corresponding discrete operator (tensor). In particular, a
bilinear form may be assembled into a matrix and a linear form may be assembled
into a vector.  FFC may be used either from the command line (by invoking the
ffc command) or as a Python module (import ffc).

FFC is part of the FEniCS Project.

%package -n python2-%{srcname}
Summary:        %{summary}
Requires:	python2-fiat >= 2017.2.0
Requires:	python2-dijitso
Requires:	python2-ufl

%description -n python2-%{srcname}
This module was written to improve a core component of the FEniCS framework,
FFC is a compiler for finite element variational forms. From a high-level
description of the form, it generates efficient low-level C++ code that can be
used to assemble the corresponding discrete operator (tensor). In particular, a
bilinear form may be assembled into a matrix and a linear form may be assembled
into a vector.  FFC may be used either from the command line (by invoking the
ffc command) or as a Python module (import ffc).

%package -n python3-%{srcname}
Summary:        %{summary}
Requires:	python3-fiat >= 2017.2.0
Requires:	python3-dijitso
Requires:	python3-ufl

%description -n python3-%{srcname}
This module was written to improve a core component of the FEniCS framework,
FFC is a compiler for finite element variational forms. From a high-level
description of the form, it generates efficient low-level C++ code that can be
used to assemble the corresponding discrete operator (tensor). In particular, a
bilinear form may be assembled into a matrix and a linear form may be assembled
into a vector.  FFC may be used either from the command line (by invoking the
ffc command) or as a Python module (import ffc).

%prep
%setup -q -n %{srcname}-%{version}

%build
%py3_build
%py2_build

%install
%py3_install
%py2_install

%files -n python2-%{srcname}
%license COPYING
%doc AUTHORS ChangeLog.rst README.rst doc/sphinx/
%{python2_sitelib}/ffc/
%{python2_sitelib}/*.egg-info
%{_mandir}/man*/*.1*
%{_bindir}/*

%files -n python3-%{srcname}
%license COPYING
%doc AUTHORS ChangeLog.rst README.rst doc/sphinx/
%{python3_sitelib}/ffc/
%{python3_sitelib}/*.egg-info
%{_mandir}/man*/*.1*
%{_bindir}/*

%changelog
* Tue Apr 03 2018 Eldar Yusupov <eyusupov@gmail.com> - 2017.2.0
- Initial package for Fedora
